package uebung05.logistics;

import uebung05.logistics.quantities.FloatUnit;
import uebung05.logistics.quantities.IntUnit;

import java.util.HashMap;
import java.util.Map;

public class NeedCollector {

    private Map<IntUnit, Integer> intNeeded;
    private Map<FloatUnit, Float> floatNeeded;

    public NeedCollector() {
        intNeeded = new HashMap<>();
        floatNeeded = new HashMap<>();
    }

    public void add (int amount, IntUnit unit) {
        intNeeded.put(unit, amount);
    }

    public void add (float amount, FloatUnit unit) {
        floatNeeded.put(unit, amount);
    }

    public int getNeed (IntUnit unit) {
        return intNeeded.get(unit);
    }

    public float getNeed (FloatUnit unit) {
        return floatNeeded.get(unit);
    }

    public void show () {

    }
}
